PROJECTNAME=nematic liquid crystal chiral
PNGS=$(addsuffix .png, $(PROJECTNAME))

all: $(PNGS)

$(PNGS):
	cp $(patsubst %.png, %, $@)-base.gp $(patsubst %.png, %, $@).gp
	python $(patsubst %.png, %, $@).py >> $(patsubst %.png, %, $@).gp
	gnuplot $(patsubst %.png, %, $@).gp > $@

clean-aux:
	rm -f $(addsuffix .gp, $(PROJECTNAME))

clean: clean-aux
	rm -f $(PNGS)
